# Open Iframe Resizer

![NPM Version](https://img.shields.io/npm/v/%40open-iframe-resizer%2Fcore)
![NPM License](https://img.shields.io/npm/l/%40open-iframe-resizer%2Fcore)
[![](https://data.jsdelivr.com/v1/package/npm/@open-iframe-resizer/core/badge)](https://www.jsdelivr.com/package/npm/@open-iframe-resizer/core)

## Overview

A modern, lightweight alternative for resizing iframes dynamically. It is shipped under the MIT license, making it usable in commercial projects.

If you found this project helpful, please consider starring the repository!

## Getting Started

### Browser (ES6 modules)

```html

<script type="module">
  import { initialize } from "https://cdn.jsdelivr.net/npm/@open-iframe-resizer/core@latest/dist/index.min.js";

  initialize({}, "#my-iframe");
</script>
```

You can found a working example [here](https://codesandbox.io/p/sandbox/open-iframe-resize-browser-m655zt)

### Package

Note you can also install the core package through [npm](https://www.npmjs.com/package/@open-iframe-resizer/core):

```bash
npm install @open-iframe-resizer/core
```

### React

```bash
npm install @open-iframe-resizer/react
```

### Vue

```bash
npm install @open-iframe-resizer/vue
```

## Full documentation

Explore the [full documentation](https://lemick.github.io/open-iframe-resizer/guides/getting-started/#_top)


## Browser support

| Chrome | Safari | Firefox | Opera | IE    |
|--------|--------|---------|-------|-------|
| 64+    | 13.1+  | 69+     | 51+   | 🙅‍♂️ |
